import {Command, Flags} from '@oclif/core'
import {tokenFlags} from '../tokenFlags'

export default class Checkout extends Command {
  static description = 'Check out'

  static examples = [
    '<%= config.bin %> <%= command.id %>',
  ]

  static flags = tokenFlags

  public async run(): Promise<void> {
    const {flags} = await this.parse(Checkout)
    console.log(`token: ${flags.token}`)
    console.log(`userToken: ${flags.userToken}`)
  }
}
