King of Time CLI
=================

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage

TODO add instructions for setting tokens.

<!-- usage -->
```sh-session
$ npm install -g kingoftime-cli
$ kot COMMAND
running command...
$ kot (--version)
kingoftime-cli/0.0.0 darwin-x64 node-v18.15.0
$ kot --help [COMMAND]
USAGE
  $ kot COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`kot checkin`](#kot-checkin)
* [`kot checkout`](#kot-checkout)
* [`kot help [COMMANDS]`](#kot-help-commands)

## `kot checkin`

Check in

```
USAGE
  $ kot checkin --token <value> --user-token <value>

FLAGS
  --token=<value>       (required) Defaults to the KINGOFTIME_TOKEN environment variable.
  --user-token=<value>  (required) Defaults to the KINGOFTIME_USER_TOKEN environment variable.

DESCRIPTION
  Check in

EXAMPLES
  $ kot checkin
```

## `kot checkout`

Check out

```
USAGE
  $ kot checkout --token <value> --user-token <value>

FLAGS
  --token=<value>       (required) Defaults to the KINGOFTIME_TOKEN environment variable.
  --user-token=<value>  (required) Defaults to the KINGOFTIME_USER_TOKEN environment variable.

DESCRIPTION
  Check out

EXAMPLES
  $ kot checkout
```

## `kot help [COMMANDS]`

Display help for kot.

```
USAGE
  $ kot help [COMMANDS] [-n]

ARGUMENTS
  COMMANDS  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for kot.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.2.9/src/commands/help.ts)_
<!-- commandsstop -->

## Credits

Inspired by https://github.com/inabajunmr/kotrcli
